== Google Storage Source Kamelet Description

=== Authentication methods

This Kamelet uses Service Account Key authentication to connect to Google Cloud Storage. You need to provide:

- A service account key encoded in base64 format (optional, can use default credentials)
- The bucket name or Amazon Resource Name (ARN) from which to consume objects

=== Output format

The Kamelet consumes objects from Google Cloud Storage and produces the object data.

=== Configuration

The Kamelet requires the following parameters:

- `bucketNameOrArn`: The Google Cloud Storage bucket name or Bucket Amazon Resource Name (ARN)

Optional parameters:
- `serviceAccountKey`: The service account key to use as credentials (must be base64 encoded)
- `deleteAfterRead`: Specifies to delete objects after consuming them (default: true)
- `autoCreateBucket`: Specifies to automatically create the Google Cloud Storage bucket (default: false)
- `prefix`: The prefix which is used in the BlobListOptions to only consume objects we are interested in

=== Usage example

```yaml
apiVersion: camel.apache.org/v1alpha1
kind: KameletBinding
metadata:
  name: google-storage-source-binding
spec:
  source:
    ref:
      kind: Kamelet
      apiVersion: camel.apache.org/v1alpha1
      name: google-storage-source
    properties:
      bucketNameOrArn: "my-storage-bucket"
      serviceAccountKey: "{{service-account-key-base64}}"
      deleteAfterRead: false
      autoCreateBucket: false
      prefix: "data/"
  sink:
    ref:
      kind: Service
      apiVersion: v1
      name: my-service
```